Hallo,

Wir haben in letzter Zeit festgestellt, dass die Kommunikation via Slack viel schneller und zielführender ist als ein Beitrag im Forum. Aufgrund der neuen und besseren Möglichkeiten der Kommunikation haben wir uns entschlossen das Forum nur noch als Archiv zur Verfügung zu stellen. Somit bleibt es weiterhin möglich hier nach Lösungen zu suchen. Neue Beiträge können nicht mehr erstellt werden.

Wir empfehlen, für deine Fragen/Probleme Slack zu nutzen. Dort sind viele kompetente Benutzer aktiv und beantworten jegliche Fragen, gerne auch von REDAXO-Anfängern! Slack wird von uns sehr intensiv und meistens "rund um die Uhr" benutzt :-)
Selbst einladen kannst Du dich hier: http://redaxo.org/slack/
Muotoilija
Beiträge: 146
Registriert: 20. Mär 2007, 10:08
Wohnort: Tampere/ Finnland
Kontaktdaten: Website

PHPMailer

22. Mai 2011, 17:42

Hei,

ich will gerne in der Addon-Verwaltung den PHPMailer installieren und aktivieren. Beim Klick auf INSTALLIEREN kommt folgendes:

Code: Alles auswählen

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /mnt/web4/61/64/51462164/htdocs/redaxo-4/redaxo/include/addons/phpmailer/classes/class.phpmailer.php on line 53
Wer weiss Rat?

vg Chris

snaft

Re: PHPMailer

22. Mai 2011, 18:34

Hey Chris,

das klingt nach PHP4 auf Deinem Webserver. Kann das sein?


Falls ja, dann solltest Du auf PHP5 umstellen, und es müsste funktionieren.

Beste Grüße,
Marc

Muotoilija
Beiträge: 146
Registriert: 20. Mär 2007, 10:08
Wohnort: Tampere/ Finnland
Kontaktdaten: Website

Re: PHPMailer

22. Mai 2011, 19:14

Hei,

danke für den Hinweis! du hattest recht. ich habe auf PHP 5 umgestellt und jetzt funtkionierts.

Ich habe auf dem Webserver u.a. noch Websites mit Redaxo 4.3.1. - Kann es da mit PHP 5 Probleme geben? Ab welcher Redaxo-Version ist PHP 5 kompatibel?

vg Chris

Benutzeravatar
Cheffchen
Beiträge: 1809
Registriert: 3. Mär 2009, 13:51
Wohnort: Berlin
Kontaktdaten: Website

Re: PHPMailer

22. Mai 2011, 22:43

Hallo,

ja, das ist etwas unschön das da immer noch keine warnmeldung kommt das neuere PHPMailer PHP5 braucht.
PHP5 macht kein problem mit Redaxo wenn nicht gleich auf 5.3 springst auch bei alten Redaxos
Extra Addons die selber gebastelst hast musst selber wissen :O).

Cheffchen

Muotoilija
Beiträge: 146
Registriert: 20. Mär 2007, 10:08
Wohnort: Tampere/ Finnland
Kontaktdaten: Website

Re: PHPMailer

23. Mai 2011, 18:33

Hei,

alles klar Chef, danke für die Info!

Auf unserem Webserver läuft PHP 5.2.

VG Chris

Zurück zu „Allgemeines [R4]“